[kaffe] CVS kaffe (dalibor): Fixed another autoconf warning about headers
Kaffe CVS
cvs-commits at kaffe.org
Wed Jan 14 22:20:20 PST 2004
PatchSet 4343
Date: 2004/01/15 05:51:07
Author: dalibor
Branch: HEAD
Tag: (none)
Log:
Fixed another autoconf warning about headers
2004-01-15 Dalibor Topic <robilad at kaffe.org>
* configure.in:
Added test for <linux/socket.h> header.
Don't include standard headers when testing for
<linux/netlink.h> and <linux/rtnetlink.h> headers.
Just include <linux/socket.h> header to fix
autoconf warning message.
Members:
ChangeLog:1.1930->1.1931
configure:1.282->1.283
configure.in:1.247->1.248
config/config.h.in:1.85->1.86
Index: kaffe/ChangeLog
diff -u kaffe/ChangeLog:1.1930 kaffe/ChangeLog:1.1931
--- kaffe/ChangeLog:1.1930 Thu Jan 15 05:29:27 2004
+++ kaffe/ChangeLog Thu Jan 15 05:51:07 2004
@@ -1,6 +1,15 @@
2004-01-15 Dalibor Topic <robilad at kaffe.org>
* configure.in:
+ Added test for <linux/socket.h> header.
+ Don't include standard headers when testing for
+ <linux/netlink.h> and <linux/rtnetlink.h> headers.
+ Just include <linux/socket.h> header to fix
+ autoconf warning message.
+
+2004-01-15 Dalibor Topic <robilad at kaffe.org>
+
+ * configure.in:
Don't include standard headers when testing for
asm/signal.h header. Just include <linux/types.h>
to fox autoconf warning message.
Index: kaffe/configure
diff -u kaffe/configure:1.282 kaffe/configure:1.283
--- kaffe/configure:1.282 Thu Jan 15 05:29:27 2004
+++ kaffe/configure Thu Jan 15 05:51:08 2004
@@ -34614,7 +34614,7 @@
-for ac_header in linux/netlink.h
+for ac_header in linux/socket.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -34764,28 +34764,26 @@
done
-for ac_header in linux/rtnetlink.h
+for ac_header in linux/netlink.h
do
as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo "$as_me:$LINENO: checking for $ac_header" >&5
echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
if eval "test \"\${$as_ac_Header+set}\" = set"; then
echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
else
- # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-$ac_includes_default
+
+#if defined(HAVE_LINUX_SOCKET_H)
+#include <linux/socket.h>
+#endif /* HAVE_LINUX_SOCKET_H */
+
+
#include <$ac_header>
_ACEOF
rm -f conftest.$ac_objext
@@ -34810,100 +34808,82 @@
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; }; then
- ac_header_compiler=yes
+ eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
-ac_header_compiler=no
+eval "$as_ac_Header=no"
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
-# Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
+fi
+
+done
+
+
+for ac_header in linux/rtnetlink.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
+
+#if defined(HAVE_LINUX_SOCKET_H)
+#include <linux/socket.h>
+#endif /* HAVE_LINUX_SOCKET_H */
+
+
#include <$ac_header>
_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
- (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null; then
- if test -s conftest.err; then
- ac_cpp_err=$ac_c_preproc_warn_flag
- ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
- else
- ac_cpp_err=
- fi
-else
- ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
- ac_header_preproc=yes
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ eval "$as_ac_Header=yes"
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_header_preproc=no
+eval "$as_ac_Header=no"
fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
- (
- cat <<\_ASBOX
-## ------------------------------ ##
-## Report this to kaffe at kaffe.org ##
-## ------------------------------ ##
-_ASBOX
- ) |
- sed "s/^/$as_me: WARNING: /" >&2
- ;;
-esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- eval "$as_ac_Header=\$ac_header_preproc"
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-
-fi
if test `eval echo '${'$as_ac_Header'}'` = yes; then
cat >>confdefs.h <<_ACEOF
#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
Index: kaffe/configure.in
diff -u kaffe/configure.in:1.247 kaffe/configure.in:1.248
--- kaffe/configure.in:1.247 Thu Jan 15 05:29:31 2004
+++ kaffe/configure.in Thu Jan 15 05:51:12 2004
@@ -873,8 +873,17 @@
AC_CHECK_HEADERS([ia64intrin.h])
dnl needed to check for Linux 2.0
-AC_CHECK_HEADERS([linux/netlink.h])
-AC_CHECK_HEADERS([linux/rtnetlink.h])
+AC_CHECK_HEADERS([linux/socket.h])
+AC_CHECK_HEADERS([linux/netlink.h], [], [],[
+#if defined(HAVE_LINUX_SOCKET_H)
+#include <linux/socket.h>
+#endif /* HAVE_LINUX_SOCKET_H */
+])
+AC_CHECK_HEADERS([linux/rtnetlink.h], [], [], [
+#if defined(HAVE_LINUX_SOCKET_H)
+#include <linux/socket.h>
+#endif /* HAVE_LINUX_SOCKET_H */
+])
AC_CHECK_HEADERS([netpacket/packet.h])
AC_HEADER_SYS_WAIT
Index: kaffe/config/config.h.in
diff -u kaffe/config/config.h.in:1.85 kaffe/config/config.h.in:1.86
--- kaffe/config/config.h.in:1.85 Thu Jan 15 02:29:27 2004
+++ kaffe/config/config.h.in Thu Jan 15 05:51:13 2004
@@ -253,6 +253,9 @@
/* Define to 1 if you have the <linux/rtnetlink.h> header file. */
#undef HAVE_LINUX_RTNETLINK_H
+/* Define to 1 if you have the <linux/socket.h> header file. */
+#undef HAVE_LINUX_SOCKET_H
+
/* Define to 1 if you have the `localtime' function. */
#undef HAVE_LOCALTIME
More information about the kaffe
mailing list